// -*- C++ -*-

//=============================================================================
/**
 *  @file    string.h
 *
 *  string operations
 *
 *  string.h,v 1.3 2003/04/21 15:52:59 dhinton Exp
 *
 *  @author Don Hinton <dhinton@ieee.org>
 *  @author This code was originally in various places including ace/OS.h.
 */
//=============================================================================

#ifndef ACE_OS_INCLUDE_STRING_H
#define ACE_OS_INCLUDE_STRING_H

#include "ace/pre.h"

#include "ace/config-all.h"

#if !defined (ACE_LACKS_PRAGMA_ONCE)
# pragma once
#endif /* ACE_LACKS_PRAGMA_ONCE */

#include "ace/os_include/stddef.h"

#if !defined (ACE_LACKS_STRING_H)
# include /**/ <string.h>
#endif /* !ACE_LACKS_STRING_H */

#include "ace/post.h"
#endif /* ACE_OS_INCLUDE_STRING_H */
